Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mfwk.conn
Class ServiceStub

    java.lang.Object
      com.sun.rmi2rpc.RpcStub
          com.sun.mfwk.conn.ServiceStub

All Implemented Interfaces:
  java.rmi.Remote, Service, com.sun.rmi2rpc.SingletonRemote

public class ServiceStub
extends com.sun.rmi2rpc.RpcStub
implements Service

Field Summary
`static int` | `TYPE_CODE`
`static int` | `VERSION_CODE`

Fields inherited from interface com.sun.mfwk.conn.Service
`getAttribute, getAttributes, invoke`

Constructor Summary
`ServiceStub(com.sun.rmi2rpc.rpc.RpcClient rpc, com.sun.rmi2rpc.RpcStubCalls rpcStubCalls)`

Method Summary
`com.sun.mfwk.conn.MfAttValue` | `getAttribute(java.lang.String p1, java.lang.String p2)`
`com.sun.mfwk.conn.MfAttValue[]` | `getAttributes(java.lang.String p1, java.lang.String[] p2)`
`com.sun.mfwk.conn.MfAttValue` | `invoke(java.lang.String p1, java.lang.String p2, com.sun.mfwk.conn.MfAttValue[] p3, java.lang.String[] p4)`

Methods inherited from class com.sun.rmi2rpc.RpcStub
`getRpcClient, getRpcStubCalls`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TYPE_CODE

    public static final int TYPE_CODE

See Also:
  Constant Field Values

### VERSION_CODE

    public static final int VERSION_CODE

See Also:
  Constant Field Values

Constructor Detail

### ServiceStub

    public ServiceStub(com.sun.rmi2rpc.rpc.RpcClient rpc,
                       com.sun.rmi2rpc.RpcStubCalls rpcStubCalls)

Method Detail

### getAttribute

    public com.sun.mfwk.conn.MfAttValue getAttribute(java.lang.String p1,
                                                     java.lang.String p2)
                                              throws java.rmi.RemoteException

  Specified by:
    `getAttribute` in interface `Service`
  Throws:
    `java.rmi.RemoteException`

### getAttributes

    public com.sun.mfwk.conn.MfAttValue[] getAttributes(java.lang.String p1,
                                                        java.lang.String[] p2)
                                                 throws java.rmi.RemoteException

  Specified by:
    `getAttributes` in interface `Service`
  Throws:
    `java.rmi.RemoteException`

### invoke

    public com.sun.mfwk.conn.MfAttValue invoke(java.lang.String p1,
                                               java.lang.String p2,
                                               com.sun.mfwk.conn.MfAttValue[] p3,
                                               java.lang.String[] p4)
                                        throws java.rmi.RemoteException

  Specified by:
    `invoke` in interface `Service`
  Throws:
    `java.rmi.RemoteException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD